## golang-github-envoyproxy-go-control-plane 0.12.0

=== xdsmatcher/Makefile ===
.PHONY: test
test:
	go test ./... -race
.PHONY: coverage
coverage:
	go test ./... -race -covermode=atomic -coverprofile=coverage.out
coverage_html: coverage
	go tool cover -html=coverage.out
.PHONY: proto
proto: test/proto/*
	protoc --proto_path=test/proto --go_out=test/proto --go_opt=paths=source_relative test.proto

=== examples/dyplomat/Makefile ===
.PHONY: test
test:
	go test ./... -race
.PHONY: coverage
coverage:
	go test ./... -race -covermode=atomic -coverprofile=coverage.out
coverage_html: coverage
	go tool cover -html=coverage.out

=== debian/changelog ===
golang-github-envoyproxy-go-control-plane (0.12.0-2) unstable; urgency=medium

  * debian/control: correct architecture to all.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 10 Feb 2026 15:28:11 +0100

golang-github-envoyproxy-go-control-plane (0.12.0-1) unstable; urgency=medium

  * Initial release (Closes: #1126678)
    - required for newer golang-google-cloud 0.115.0.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 27 Jan 2026 13:08:42 +0100

=== debian/control ===
Source: golang-github-envoyproxy-go-control-plane
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               dpkg-build-api (= 1),
               golang-any,
               golang-cel-expr-dev,
               golang-github-census-instrumentation-opencensus-proto-dev,
               golang-github-cncf-xds-dev,
               golang-github-envoyproxy-protoc-gen-validate-dev,
               golang-github-google-go-cmp-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-stretchr-testify-dev,
               golang-google-genproto-dev,
               golang-google-grpc-dev,
               golang-google-protobuf-dev,
               golang-goprotobuf-dev,
               golang-opentelemetry-proto-dev,
               golang-gopkg-yaml.v2-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-envoyproxy-go-control-plane
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-envoyproxy-go-control-plane.git
Homepage: https://github.com/envoyproxy/go-control-plane
XS-Go-Import-Path: github.com/envoyproxy/go-control-plane

Package: golang-github-envoyproxy-go-control-plane-dev
Section: devel
Architecture: all
Depends: ${misc:Depends},
Description: go implementation of the envoy data plane API
 This package provides a complete Go implementation of the xDS control plane
 for the Envoy proxy. It includes the infrastructure necessary to build
 servers that can dynamically configure a fleet of proxies or proxyless gRPC
 clients using the universal data plane API.
 .
 The library manages the complexity of the xDS protocol, including versioning,
 resource caching, and state-of-the-world or delta updates. By providing a
 structured way to push configurations—such as listeners, clusters, and
 routing rules—to the data plane, it enables the creation of sophisticated
 service meshes and load-balancing solutions.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := examples

%:
	dh $@ --builddirectory=debian/_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries
	# Drop execute bits
	find debian/golang-github-envoyproxy-go-control-plane-dev -type f \
		-executable -not -name "*.sh" -exec chmod a-x {} ';'

## golang-github-envoyproxy-go-control-plane 0.13.2

=== Makefile ===
.DEFAULT_GOAL	:= build

#------------------------------------------------------------------------------
# Variables
#------------------------------------------------------------------------------

SHELL 	:= /bin/bash
BINDIR	:= bin
PKG 	:= github.com/envoyproxy/go-control-plane

include ./Makefile.common

.PHONY: build
build:
	@make -C pkg common/build
	@make -C envoy common/build
	@make -C ratelimit common/build
	@make -C xdsmatcher common/build 

.PHONY: clean
clean:
	@echo "--> cleaning compiled objects and binaries"
	@go clean -tags netgo -i ./...
	@go mod tidy
	@rm -rf $(BINDIR)
	@rm -rf *.log

# TODO(mattklein123): See the note in TestLinearConcurrentSetWatch() for why we set -parallel here
# This should be removed.
.PHONY: test
test:
	@go test -race -v -timeout 30s -count=1 -parallel 100 ./pkg/...

.PHONY: cover
cover:
	@scripts/coverage.sh

.PHONY: examples
examples:
	@pushd examples/dyplomat && go build ./... && popd

.PHONY: lint
lint:
	@docker run \
		--rm \
		--volume $$(pwd):/src \
		--workdir /src \
		golangci/golangci-lint:latest \
	golangci-lint -v run

#-----------------
#-- integration
#-----------------
.PHONY: $(BINDIR)/test $(BINDIR)/upstream integration integration.ads integration.xds integration.rest integration.xds.mux integration.xds.delta integration.ads.delta

$(BINDIR)/upstream:
	@go build -race -o $@ internal/upstream/main.go

$(BINDIR)/test:
	@echo "Building test binary"
	@go build -race -o $@ pkg/test/main/main.go

integration: integration.xds integration.ads integration.rest integration.xds.mux integration.xds.delta integration.ads.delta

integration.ads: $(BINDIR)/test $(BINDIR)/upstream
	env XDS=ads scripts/integration.sh

integration.xds: $(BINDIR)/test $(BINDIR)/upstream
	env XDS=xds scripts/integration.sh

integration.rest: $(BINDIR)/test $(BINDIR)/upstream
	env XDS=rest scripts/integration.sh

integration.xds.mux: $(BINDIR)/test $(BINDIR)/upstream
	env XDS=xds scripts/integration.sh -mux

integration.xds.delta: $(BINDIR)/test $(BINDIR)/upstream
	env XDS=delta scripts/integration.sh

integration.ads.delta: $(BINDIR)/test $(BINDIR)/upstream
	env XDS=delta-ads scripts/integration.sh

#--------------------------------------
#-- example xDS control plane server
#--------------------------------------
.PHONY: $(BINDIR)/example example

$(BINDIR)/example:
	@go build -race -o $@ internal/example/main/main.go

example: $(BINDIR)/example
	@scripts/example.sh

.PHONY: docker_tests
docker_tests:
	docker build --pull -f Dockerfile.ci . -t gcp_ci && \
	docker run -v $$(pwd):/go-control-plane $$(tty -s && echo "-it" || echo) gcp_ci /bin/bash -c /go-control-plane/scripts/do_ci.sh

.PHONY: tidy-all
tidy-all: common/tidy
	make -C contrib common/tidy
	make -C envoy common/tidy
	make -C examples/dyplomat common/tidy
	make -C ratelimit common/tidy
	make -C xdsmatcher common/tidy

.PHONY: multimod/verify
multimod/verify: $(MULTIMOD)
	@echo "Validating versions.yaml"
	$(MULTIMOD) verify

.PHONY: multimod/prerelease
multimod/prerelease: $(MULTIMOD)
	$(MULTIMOD) prerelease -s=true -b=false -v ./versions.yaml -m ${MODSET}
	$(MAKE) tidy-all

COMMIT?=HEAD
REMOTE?=git@github.com:envoyproxy/go-control-plane.git
.PHONY: multimod/tag
multimod/tag: $(MULTIMOD)
	$(MULTIMOD) verify
	$(MULTIMOD) tag -m ${MODSET} -c ${COMMIT} --print-tags

COMMIT?=HEAD
REMOTE?=git@github.com:envoyproxy/go-control-plane.git
.PHONY: push-tags
multimod/push-tags: $(MULTIMOD)
	$(MULTIMOD) verify
	set -e; for tag in `$(MULTIMOD) tag -m ${MODSET} -c ${COMMIT} --print-tags | grep -v "Using" `; do \
		echo "pushing tag $${tag}"; \
		git push ${REMOTE} $${tag}; \
	done;

=== xdsmatcher/Makefile ===
include ../Makefile.common

.PHONY: proto
proto: test/proto/*
	protoc --proto_path=test/proto --go_out=test/proto --go_opt=paths=source_relative test.proto

=== examples/dyplomat/Makefile ===
include ../../Makefile.common

=== debian/changelog ===
golang-github-envoyproxy-go-control-plane (0.13.2-1) unstable; urgency=medium

  * debian/watch: switch to version 5.
  * New upstream version 0.13.2
  * debian/control: update dependency. Drop build-deps on golang-github-
    census-instrumentation-opencensus-proto-dev due to dead upstream.
    (Closes: #1129575)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 03 Mar 2026 08:29:56 +0100

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,14 @@
                dh-sequence-golang,
                dpkg-build-api (= 1),
                golang-any,
-               golang-cel-expr-dev,
-               golang-github-census-instrumentation-opencensus-proto-dev,
                golang-github-cncf-xds-dev,
                golang-github-envoyproxy-protoc-gen-validate-dev,
                golang-github-google-go-cmp-dev,
-               golang-github-prometheus-client-model-dev,
                golang-github-stretchr-testify-dev,
                golang-google-genproto-dev,
                golang-google-grpc-dev,
                golang-google-protobuf-dev,
-               golang-goprotobuf-dev,
-               golang-opentelemetry-proto-dev,
-               golang-gopkg-yaml.v2-dev,
+               golang-uber-goleak-dev,
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-envoyproxy-go-control-plane
@@ -30,6 +25,12 @@
 Section: devel
 Architecture: all
 Depends: ${misc:Depends},
+         golang-github-google-go-cmp-dev,
+         golang-github-stretchr-testify-dev,
+         golang-google-genproto-dev,
+         golang-google-grpc-dev,
+         golang-google-protobuf-dev,
+         golang-uber-goleak-dev,
 Description: go implementation of the envoy data plane API
  This package provides a complete Go implementation of the xDS control plane
  for the Envoy proxy. It includes the infrastructure necessary to build

=== debian/watch ===
Version: 5

Template: Github
Owner: envoyproxy
Project: go-control-plane
Dversion-Mangle: auto
